32-bit JRE deprecation for all products and components

Hi all,

We want to inform you that we are deprecating support for 32-bit Java Runtime Environments in all our products, effective immediately, with the intention of dropping it in the first half of 2023.

After investigation, we noticed that legitimate use cases for 32-bit JRE are increasingly scarce and that a very tiny fraction of our users is still using it. Dropping this support will ultimately help us to stay focused on delivering the best value.

This deprecation affects SonarLint for all IDEs, SonarQube and SonarCloud, including the scanners.
If you are a SonarQube user, running the SonarQube server already requires a 64-bit JRE, and SonarQube 9.x LTS will support 32-bit JREs on the analysis side.